summaryrefslogtreecommitdiff
path: root/functions/lockfile.sh
diff options
context:
space:
mode:
Diffstat (limited to 'functions/lockfile.sh')
-rwxr-xr-xfunctions/lockfile.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/functions/lockfile.sh b/functions/lockfile.sh
index 9eb2f9b..02cf18b 100755
--- a/functions/lockfile.sh
+++ b/functions/lockfile.sh
@@ -27,9 +27,9 @@ Create_lockfile ()
mkdir -p "${LOCKDIRECTORY}"
fi
- # Creating lock file
- trap "test -f ${LOCKFILE} && \
- rm -f ${LOCKFILE}; exit 0" 0 2 15
+ # Creating lock trap
+ trap "test -f ${LOCKFILE} && rm -f ${LOCKFILE}; exit 0" 0 2 15
+ # Creating lock file
touch "${LOCKFILE}"
}